Generation Framework

## org.eclipse.gmf.mappings
Interface ExpressionLabelMapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LabelMapping, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ExpressionLabelMappingImpl

    public interface ExpressionLabelMapping

extends LabelMapping

A representation of the model object 'Expression Label Mapping'. Label based on a calculated value

The following features are supported:

- `View Expression`
- `Edit Expression`
- `Validate Expression`

See Also:
  `GMFMapPackage.getExpressionLabelMapping()`
** Generated **
Model:

Method Summary
`ValueExpression` `getEditExpression()` Returns the value of the 'Edit Expression' containment reference
`Constraint` `getValidateExpression()` Returns the value of the 'Validate Expression' containment reference
`ValueExpression` `getViewExpression()` Returns the value of the 'View Expression' containment reference
`void` `setEditExpression(ValueExpression value)` Sets the value of the '`Edit Expression`' containment reference
`void` `setValidateExpression(Constraint value)` Sets the value of the '`Validate Expression`' containment reference
`void` `setViewExpression(ValueExpression value)` Sets the value of the '`View Expression`' containment reference

Methods inherited from interface org.eclipse.gmf.mappings.LabelMapping
`getDiagramLabel, getMapEntry, isReadOnly, setDiagramLabel, setReadOnly`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getViewExpression

    ValueExpression getViewExpression()

  Returns the value of the 'View Expression' containment reference. Expression to produce regular label value. Evaluated in the context of the owning mapEntry.domainMetaElement

  Returns:
    the value of the 'View Expression' containment reference.
  See Also:
    `setViewExpression(ValueExpression)`, `GMFMapPackage.getExpressionLabelMapping_ViewExpression()`
  ** Generated **
  Model:
    containment="true" required="true"

### setViewExpression

    void setViewExpression(ValueExpression value)

  Sets the value of the '`View Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'View Expression' containment reference.
  See Also:
    `getViewExpression()`
  ** Generated **

### getEditExpression

    ValueExpression getEditExpression()

  Returns the value of the 'Edit Expression' containment reference. Optional expression to produce editable string representation of the label. If not set, viewExpression is used.

  Returns:
    the value of the 'Edit Expression' containment reference.
  See Also:
    `setEditExpression(ValueExpression)`, `GMFMapPackage.getExpressionLabelMapping_EditExpression()`
  ** Generated **
  Model:
    containment="true"

### setEditExpression

    void setEditExpression(ValueExpression value)

  Sets the value of the '`Edit Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Edit Expression' containment reference.
  See Also:
    `getEditExpression()`
  ** Generated **

### getValidateExpression

    Constraint getValidateExpression()

  Returns the value of the 'Validate Expression' containment reference. Boolean expression in a string context, which able to tell whether user-entered text is valid.

  Returns:
    the value of the 'Validate Expression' containment reference.
  See Also:
    `setValidateExpression(Constraint)`, `GMFMapPackage.getExpressionLabelMapping_ValidateExpression()`
  ** Generated **
  Model:
    containment="true"

### setValidateExpression

    void setValidateExpression(Constraint value)

  Sets the value of the '`Validate Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Expression' containment reference.
  See Also:
    `getValidateExpression()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.